upstream  up_server {
  ip_hash;
  server 172.32.12.35:30500;
  server 172.32.12.36:30500;
  server 172.32.12.37:30500;
}

kind: Service
apiVersion: v1
metadata:
  name: ingress-nginx-controller
  namespace: ingress-nginx
  labels:
    app.kubernetes.io/component: controller
    app.kubernetes.io/instance: ingress-nginx
    app.kubernetes.io/managed-by: Helm
    app.kubernetes.io/name: ingress-nginx
    app.kubernetes.io/version: 0.44.0
    helm.sh/chart: ingress-nginx-3.23.0
spec:
  ports:
    - name: http
      protocol: TCP
      port: 80
      targetPort: http
      nodePort: 30500
    - name: https
      protocol: TCP
      port: 443
      targetPort: https
      nodePort: 31500
  selector:
    app.kubernetes.io/component: controller
    app.kubernetes.io/instance: ingress-nginx
    app.kubernetes.io/name: ingress-nginx
  type: NodePort
  sessionAffinity: None
  externalTrafficPolicy: Cluster
